org.apache.storm

## Interface StormSubmitter.ProgressListener

- Enclosing class:
    StormSubmitter

      public static interface StormSubmitter.ProgressListener

  Interface use to track progress of file upload.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCompleted(String srcFile, String targetFile, long totalBytes)` called when the file is uploaded.
    `void` | `onProgress(String srcFile, String targetFile, long bytesUploaded, long totalBytes)` called whenever a chunk of bytes is uploaded.
    `void` | `onStart(String srcFile, String targetFile, long totalBytes)` called before file is uploaded.

- - ### Method Detail

    - #### onStart

          void onStart(String srcFile,
                       String targetFile,
                       long totalBytes)

      called before file is uploaded.

      Parameters:
        `srcFile` -
        - jar file to be uploaded
        `targetFile` -
        - destination file
        `totalBytes` -
        - total number of bytes of the file

    - #### onProgress

          void onProgress(String srcFile,
                          String targetFile,
                          long bytesUploaded,
                          long totalBytes)

      called whenever a chunk of bytes is uploaded.

      Parameters:
        `srcFile` -
        - jar file to be uploaded
        `targetFile` -
        - destination file
        `bytesUploaded` -
        - number of bytes transferred so far
        `totalBytes` -
        - total number of bytes of the file

    - #### onCompleted

          void onCompleted(String srcFile,
                           String targetFile,
                           long totalBytes)

      called when the file is uploaded.

      Parameters:
        `srcFile` -
        - jar file to be uploaded
        `targetFile` -
        - destination file
        `totalBytes` -
        - total number of bytes of the file

Copyright © 2021 The Apache Software Foundation. All rights reserved.